""" Scopus script's configration
    
    *A Kopmann, 20.3.2018*

Configuration for the test setup ufo.kit.edu/held (Helmholtz Detectors)

"""

# Local publication database

db_host = 'localhost'
db_user = 'scopus'
db_pw = '$scopus$'
db_name = 'scopus_held'


# Access to Wordpress installation

wp_api_url = "https://ufo.kit.edu/held/xmlrpc.php"
""" Access to the Wordpress installation """
wp_user = "scopus1"
wp_password = "$scopus$"


# Reporting

log_file = "/root/scopus-held/log/scopus-publications-held-de.log"
""" Logfile name for reporting """


# Scopus query definition

MY_API_KEY = "14d431d052c2caf5e9c4b1ab7de7463d"
""" Scopus access key (Andreas Kopmann) """


# Scopus author IDs

# KIT, PDV
andreasKopmann = "35313939900"
ak2 = "57193311016"
surenChilingaryan = "15076530600"
matthiasVogelgesang = "35303862100"
timoDritschler = "56473578500"
andreiShkarin = "56950893700"
nicholasTanJerome = "57200247965"
tillBergmann = "35308595100"
armenBeglarian = "55343303900"
petraRohr = "40561503300"
norbertKunka = "35276889200"
horstDemattio = "6506285395"

# KIT, EPS
micheleCaselle = "57194376511"
mc2 = "57194376512"
urosStevanovic = "55557712600"
lorenzoRota = "56473442500"
matthiasBalzer = "35519411500"
oliverSander = "22986354000" 

# KIT, IPE
marcWeber = "56654729000"
mw2 = "56603987800"
mw3 = "7404138824"

# KIT, IPS
tomyRolo = "56118820400"
tr2 = "35194644400"
tr3 = "35277157300"
tomasFarago = "56655045700"
alexyErshof = "56441809800"
romanShkarin = "56951331000"
tiloBaumbach = "7003270957"
thomasVandekamp = "46761453500"

# TUD
michaelHeethoff = "55979397800"
sebastianSchmelzle = "34768986100"

# UHD
philipLoesel = "57190622016"

# DTS
heinzGraafsma = "7003866547"
michaelFiederle = "56889294000"
dorisEckstein = "7006469870"
alexanderDierlamm = "6603122027"
ulrichTrunk = "6602643714"
ivanPeric = "9043482900"
thomasBlank = "56819218800"
karstenHansen = "7401918494"
andreasMussgiller = "35278917500" 
jimRitman = "6701495633"
marcSchneider = "55649571035"
ms2 = "55649571037"
ms3 = "55649571036"
ms4 = "55649571041"
peterKaever = "55955104200"
tobiasStockmanns = "8722644300"
michaelBussmann = "6701512276"
christianSchmidt = "55547128858"
davidPennicard = "12751824800"
berndVoss = "22965153700"
oliverSchaefer = "56754175600"
felixSefkow = "8062394000"
andreasHaugns = "10538884100"
mladenKis = "7003935197"
corneliaWunderer = "6603143355"


# Others (e.g. for black list)
ashotChiligarian = "7004126133"
hansBluemer = "7006284555"
matthiasKleifegs = "6602072426"


# Definition of workgroups for automatic Scopus publication retrieval
# Other parameter define query options. It can be controlled if citations
# or keywords should be used. The parameter max_authors defines the limit
# to identify collaborations papers.
#
sc_start = 2016
sc_citations = False
sc_keywords = True
sc_max_authors = 25


dts_wp11 = [michaelFiederle,dorisEckstein,alexanderDierlamm]
dts_wp12 = [ulrichTrunk,ivanPeric]
dts_wp13 = [thomasBlank,karstenHansen]
dts_wp14 = [andreasMussgiller]

dts_wp21 = [marcSchneider,ms2,ms3,ms4]
dts_wp22 = [peterKaever,matthiasBalzer,oliverSander]
dts_wp23 = [michaelBussmann,andreasKopmann,ak2,surenChilingaryan,matthiasVogelgesang]

dts_wp31 = [davidPennicard]
dts_wp32 = [berndVoss,oliverSchaefer]
dts_wp33 = [felixSefkow] 
dts_wp34 = [mladenKis,micheleCaselle,lorenzoRota]
dts_wp35 = [corneliaWunderer]


sc_workgroups = [
{'name':"sensors",'authors':dts_wp11},
{'name':"asics",'authors':dts_wp12},
{'name':"packaging",'authors':dts_wp13},
{'name':"materials",'authors':dts_wp14},
{'name':"photonics",'authors':dts_wp21},
{'name':"electronics",'authors':dts_wp22},
{'name':"computing",'authors':dts_wp23},
{'name':"helmholtz-cube",'authors':dts_wp31},
{'name':"gaseous-detectors",'authors':dts_wp32},
{'name':"photon-detectors",'authors':dts_wp33},
{'name':"fast-timing",'authors':dts_wp34},
{'name':"cmos-sensors",'authors':dts_wp35},
]
""" Definition of the workgroups
    
    Each workgroup is defined by a list of Scopus ID's and the
    name of the category to be used in Wordpress. The category
    for a new workgroup has to be created in Wordpress before
    adding publications
    """




