""" Scopus script's configration
    
*A Kopmann, 12.4.17*

Configuration for the test system installed at ipekopmann2 (my  macbook).
The system is identically to the UFO configuration and used for testing
of new functions.

Todo:
    - Handle authors that have been also at other institutions.
      Add time interval for each author or 
      check if affiliation of the author is also given

"""

# Local publication database 

db_host = 'localhost'
db_user = 'scopus'
db_pw = '$scopus$'
db_name = 'scopus'


# Access to Wordpress installation 

wp_api_url = "http://localhost/~kopmann/ufo2/xmlrpc.php"
""" Access to the Wordpress installation """
wp_user = "scopus"
wp_password = "$scopus$"


# Reporting

log_file = "/Users/kopmann/scopus-publications.log"
""" Logfile name for reporting """


# Scopus query definition

MY_API_KEY = "14d431d052c2caf5e9c4b1ab7de7463d"
""" Scopus access key (Andreas Kopmann) """


# Scopus author IDs

# KIT, PDV
ak = "35313939900"
ak2 = "57193311016"
csa = "15076530600"
csa2 = "6506491376"
matthiasVogelgesang = "35303862100"
timoDritschler = "56473578500"
andreiShkarin = "56950893700"
nicholasTanJerome = ""
tillBergmann = "35308595100"
armenBeglarian = "55343303900"
petraRohr = "40561503300"
norbertKunka = "35276889200"
horstDemattio = "6506285395"

# KIT, EPS
micheleCaselle = "7006767859"
urosStevanovic = "55557712600"
lorenzoRota = "56473442500"
matthiasBalzer = "35519411500"

# KIT, IPE
marcWeber = "56654729000" # KIT Engineering 29, 25.10.17
mw2 = "56603987800" # have not found anymore?!
mw3 = "7404138824"   # KIT-CN Physice 667, 25.10.17
mw4 = "14625680200"  # KIT Physics 1651, 25.10.17

# KIT, IPS
tomyRolo = "56118820400"
tr2 = "35194644400"
tr3 = "35277157300"
tomasFarago = "56655045700"
alexyErshof = "56441809800"
andreiShkarin = "56950893700"
romanShkarin = "56951331000"
tiloBaumbach = "7003270957"
thomasVandekamp = "46761453500"

# TUD
michaelHeethoff = "55979397800"
sebastianSchmelzle = "34768986100"

# UHD
philipLoesel = "57190622016"

# Others (e.g. for black list)
ashotChiligarian = "7004126133"
hansBluemer = "7006284555"
matthiasKleifegs = "6602072426"





# Affiliations
kit = "60027314"
kit_cn = "60027314" 
kit_cs = "60029428" 
uni_hd = "60016908"
uni_h = " 60004935"
uni_da = "60011226"



# Definition of workgroups for automatic Scopus publication retrieval

sc_start = 2010

ufo_pdv = [ak, csa, matthiasVogelgesang, timoDritschler, andreiShkarin ]
ufo_eps = [matthiasBalzer, lorenzoRota, micheleCaselle ]
ufo_ips = [tomyRolo, tr2, tr3, tomasFarago]
ufo_apps = [thomasVandekamp]
ufo_alg = [philipLoesel]

sc_workgroups = [
              {'name':"Computing",'authors':ufo_pdv},
              {'name':"Electronics",'authors':ufo_eps},
              {'name':"X-ray Imaging",'authors':ufo_ips},
              {'name':"Morphology",'authors':ufo_apps},
              {'name':"Algorithms",'authors':ufo_alg}
]
""" Definition of the workgroups 
    
Each workgroup is defined by a list of Scopus ID's and the 
name of the category to be used in Wordpress. The category 
for a new workgroup has to be created in Wordpress before
adding publications 
"""

